
// Galets recouverts avec des textures de raction-diffusion
// Luc Decker, juillet 2003

// Les textures doivent tre produites avec TexRD au pralable,
// ouvrir et calculer les 7 fichiers TRD qui se trouvent dans
// le mme dossier.



// Galet NUMERO 1
sphere { <-1.5, 0.7, -1>, 0.7 scale <1.1, 0.5, 1.0>
texture {
  pigment { image_map {
  tga ".\agathe1_C002000.tga"
  map_type 0
  interpolate 2
  } scale <2.0, 1.0, 2.0> }  
  finish {   
    ambient 0.2
    roughness 0.2
    specular 0.4
  }
} }

            
// Galet NUMERO 2     
sphere { <2.1, 0.7, 0.5>, 0.7 scale <1.0, 0.92, 1.0>    
texture {
  pigment { image_map {
  tga ".\agathe2_C002000.tga"                    
  map_type 0
  interpolate 0
  } scale <1.8, 1.8, 1.8> } 
  finish { 
    ambient 0.2
    roughness 0.2
    specular 0.4
  }
} }

             
// Galet NUMERO 3
sphere { <0, 1.0, 0>, 1.0 scale <0.9, 1.0, 0.9>
texture {
  pigment { image_map {
  tga ".\agathe3_C002000.tga"
  map_type 0
  interpolate 2
  } scale <2, 2, 1> } 
  finish {
    ambient 0.2
    roughness 0.4
    phong 0.2
  }
} }

       
// Galet NUMERO 4
sphere { <1.5, 0.7, -2>, 0.7 scale <0.92, 0.5, 0.95>
texture {
  pigment { image_map {
  tga ".\agathe4_C002000.tga"
  map_type 0
  interpolate 2
  } scale <2.0, 1.0, 2.0> } 
  finish { 
    ambient 0.2
    roughness 0.2
    specular 0.4
  }
} }


// Galet NUMERO 5
sphere { <0.1, 0.50, -1.8>, 0.50 scale <1.0, 0.8, 1.0>
texture {
  pigment { image_map {
  tga ".\agathe5_C002000.tga"
  map_type 0
  interpolate 2
  } scale <2.0, 2.0, 2.0> } 
  finish {
    ambient 0.2
    roughness 0.4
    specular 0.2
  }
} }                    
                     

// Galet NUMERO 6
sphere { <-2.2, 0.85, 1.4>, 0.85 scale <0.9, 1.0, 0.9>
texture {
  pigment { image_map {
  tga ".\agathe6_C002000.tga"
  map_type 0
  interpolate 2
  } scale <2, 2, 1> } 
  finish {
    ambient 0.2
    roughness 0.5
    phong 0.1
  }
} }
   

// Galet NUMERO 7
sphere { <-1.0, 0.6, -3.5>, 0.6 scale <0.65, 0.5, 0.7>
texture {
  pigment { image_map {
  tga ".\agathe7_C002000.tga"
  map_type 0
  interpolate 2 
  } scale <0.7, 0.7, 0.7> }   
  finish {  
    ambient 0.2
    roughness 0.4
    specular 0.2
  }
} }



// Sol
plane { y, 0
texture {
  pigment {
  color red 0.9 green 0.85 blue 0.7
  }
  finish {
    ambient 0.3
    roughness 0.4
    specular 0.3
    crand 0.3   
  } 
} }



// Ciel
sky_sphere {
   pigment {
      color rgb < 0.2, 0.2, 0.4>
      }
}



// Source lumineuse
light_source {
  0*x                 
  color rgb 1.0      
  area_light
  <8, 0, 0> <0, 0, 8> 
  4, 4               
  adaptive 0         
  jitter              
  circular                      
  orient                        
  translate <40, 80, -90>
}


// Camera (vue perspective)
camera {
  location  <0.0, 2.15, -5.0>
  look_at   <0.0, 0.0,  1.0>
  right     x*image_width/image_height
}
                           
                           
                           
                           
                           
                           